#
# spec file for package python3-diff_match_patch
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-diff_match_patch
Version:        20121119
Release:        1.3
License:        Apache-2.0
Summary:        Python Diff, Match and Patch library for Plain Text
Url:            http://code.google.com/p/google-diff-match-patch/
Group:          Development/Libraries/Python
Source:         http://google-diff-match-patch.googlecode.com/files/diff_match_patch_%{version}.zip
BuildRequires:  python3-devel
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Google's Diff Match and Patch libraries offer robust algorithms to perform the operations required for synchronizing plain text.

   1. Diff:
          * Compare two blocks of plain text and efficiently return a list of differences.
   2. Match:
          * Given a search string, find its best fuzzy match in a block of plain text. Weighted for both accuracy and location.
   3. Patch:
          * Apply a list of patches onto plain text. Use best-effort to apply patch even when the underlying text doesn't match.

%prep
%setup -n diff_match_patch_%{version}

%build

%install
mkdir -p %{buildroot}%{python3_sitelib}

#fix python3 hardcoded - use /usr/bin/env python3
sed -i 's/\/usr\/bin\/python3/\/usr\/bin\/env python3/' python3/diff_match_patch.py

cp python3/diff_match_patch.py %{buildroot}%{python3_sitelib}


%files
%defattr(-, root, root, 0755)
%doc README.txt COPYING
%{python3_sitelib}/diff_match_patch.py

%changelog
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Feb 25 2013 elchevive@opensuse.org
- updated to version 20121119
  * Removing long/shorttext scoping or dereferencing in all languages
  * Modifying Lua's module structure to work consistently
  * Update Dart port to latest Dart language verison
  * Fix typos in demo_patch.html
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix building on SLES 11
* Sat May  5 2012 elchevive@opensuse.org
- fix python2.4 hardcoded - use '/usr/bin/env python2' instead
* Tue Mar 20 2012 elchevive@opensuse.org
- update to version 20120106 and spec cleanning
* Wed Aug 12 2009 nix@opensuse.org
- first build
